Package org.eclipse.core.databinding.bind.steps

# Interface ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS extends ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS>>

Type Parameters:
  `F` - type of the from-end observable
  `THIS` - self type for this step

All Superinterfaces:
  `CommonSteps.ConvertToStep<F>`, `CommonSteps.ReadConfigStep<F,F,THIS>`, `CommonSteps.WriteConfigStep<F,F,THIS>`, `ListCommonSteps.ListReadConfigStep<F,F,THIS>`, `ListCommonSteps.ListToStep<F,F>`, `ListCommonSteps.ListWriteConfigStep<F,F,THIS>`, `ListTwoWaySteps.ListTwoWayConfigStep<F,F,THIS>`, `ListTwoWaySteps.ListTwoWayToStep<F,F>`, `Step`

Enclosing class:
  `ListTwoWaySteps`

public static interface ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS extends ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS>> extends ListTwoWaySteps.ListTwoWayToStep<F,F>, CommonSteps.ConvertToStep<F>, ListTwoWaySteps.ListTwoWayConfigStep<F,F,THIS>
Step for setting the from-to direction converter.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`<T> ListTwoWaySteps.ListTwoWayConvertFromStep<F,T>`
`convertTo(IConverter<? super F,? extends T> converter)`
Sets the from-to direction converter on the resulting binding.
`ListTwoWaySteps.ListTwoWayUntypedToStep<F>`
`defaultConvert()`
Makes the resulting binding use default converters between the two observables.

### Methods inherited from interface org.eclipse.core.databinding.bind.steps.CommonSteps.WriteConfigStep

`updateOnlyOnRequest`

### Methods inherited from interface org.eclipse.core.databinding.bind.steps.ListTwoWaySteps.ListTwoWayToStep

`to`

## Method Details

### convertTo

<T> ListTwoWaySteps.ListTwoWayConvertFromStep<F,T> convertTo(IConverter<? super F,? extends T> converter)
Description copied from interface: `CommonSteps.ConvertToStep`
Sets the from-to direction converter on the resulting binding. The defines the type of the to-end observable.

Specified by:
  `convertTo` in interface `CommonSteps.ConvertToStep<F>`
Type Parameters:
  `T` - type of the to-end observable
Parameters:
  `converter` - the converter to set
Returns:
  next step
See Also:
  - `UpdateValueStrategy.setConverter(org.eclipse.core.databinding.conversion.IConverter<? super S, ? extends D>)`

### defaultConvert

ListTwoWaySteps.ListTwoWayUntypedToStep<F> defaultConvert()
Description copied from interface: `CommonSteps.ConvertToStep`
Makes the resulting binding use default converters between the two observables. Because of this an observable of any type may be used.

For example, converters to and from strings and numeric types are available.

However, the `IObservableValue.getValueType()` or `IObservableCollection.getElementType()` of both the observables must be non-null.

See `DataBindingContext` for information about types that have default converters and how they work.

Specified by:
  `defaultConvert` in interface `CommonSteps.ConvertToStep<F>`
Returns:
  next step
See Also:
  - `UpdateValueStrategy(boolean, int)`